Unverified Commit cf294ac6 authored by Andreas Sturmlechner's avatar Andreas Sturmlechner
Browse files

Add missing QtConcurrent to target_link_libraries

This was working as long as it was implicitly provided by KIO.
Other backends are fine.

Fixes:
- DiscoverCommon w/ AppStreamQt
- packagekit-backend

See also: frameworks/kio!426

Signed-off-by: default avatarAndreas Sturmlechner <asturm@gentoo.org>
parent eed59ac1
......@@ -48,7 +48,7 @@ if(TARGET AppStreamQt)
appstream/AppStreamIntegration.cpp
appstream/AppStreamUtils.cpp
)
target_link_libraries(DiscoverCommon PRIVATE AppStreamQt)
target_link_libraries(DiscoverCommon PRIVATE Qt::Concurrent AppStreamQt)
if(AppStreamQt_VERSION VERSION_GREATER 0.12.4)
target_compile_definitions(DiscoverCommon PRIVATE -DAPPSTREAM_HAS_SPDX=1)
......
......@@ -19,7 +19,7 @@ ecm_qt_declare_logging_category(packagekit-backend_SRCS HEADER libdiscover_backe
add_library(packagekit-backend MODULE ${packagekit-backend_SRCS})
target_link_libraries(packagekit-backend PRIVATE Discover::Common Qt::Core PK::packagekitqt5 KF5::ConfigGui KF5::KIOCore KF5::Archive AppStreamQt)
target_link_libraries(packagekit-backend PRIVATE Discover::Common Qt::Core Qt::Concurrent PK::packagekitqt5 KF5::ConfigGui KF5::KIOCore KF5::Archive AppStreamQt)
install(TARGETS packagekit-backend DESTINATION ${KDE_INSTALL_PLUGINDIR}/discover)
if(TARGET PkgConfig::Markdown)
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment